﻿@using Jumbula.Common.Helper
@using Jumbula.Common.Constants
@using Jumbula.Core.Domain

@model BeforeAfterCareBodyViewModel

<div>
    <div class="program-section-title-bg">
        <h2 class="program-section-title ">Days</h2>
    </div>
    @if (Model.DefaultSchedule.Days != null)
    {
        var dayModel = new List<ProgramScheduleDay>();
        var days = Model.DefaultSchedule.Days.Where(d => d.StartTime.HasValue && d.EndTime.HasValue);

            foreach (var day in days)
            {
                day.StartTime = null ;
                day.EndTime = null;
                dayModel.Add(day);
            }
       
           <ul class="days">
                 @{Html.RenderPartial("_ProgramDailyChart", dayModel);}
           </ul>
    }
</div>
<div>
    <div class="clearfix"></div>
 @foreach (var Schedule in Model.Schedules)
 {
   
    <div class="program-section-title-bg">
        <h2 class="program-section-title ">@Schedule.Title</h2>
    </div>
    <div class="clearfix"></div>

     if (Schedule.Times != null && Schedule.ScheduleMode != TimeOfClassFormation.Both)
     {
        foreach (var time in Schedule.Times)
         {
           <span class="bold" style="margin-top: 0;padding-left: 10px;">@time</span>
         }
      <br />
     }
     else if (Schedule.ComboTime.Any())
     {
         foreach (var time in Schedule.ComboTime)
         {
            <span class="bold" style="margin-top: 0;padding-left: 10px;">@time</span>
         }

     }
    <div class="clearfix"></div>
     foreach (var charge in Schedule.Prices)
     {
        <div class="tuition">
            <span class="tuition-label ellipsis" title="@charge.Name">

                @{
                    var spotNote = string.Empty;
                    if (charge.CapacityLeft > 0 && Schedule.RecurrenceTime.ShowCapacityLeft && charge.CapacityLeft <= Schedule.RecurrenceTime.ShowCapacityLeftNumber)
                    {
                        spotNote = string.Format("{0} spots left", charge.CapacityLeft);
                    }
                    else if (Schedule.TotalCapacityLeft > 0 && Schedule.RecurrenceTime.ShowCapacityLeft && Schedule.TotalCapacityLeft <= Schedule.RecurrenceTime.ShowCapacityLeftNumber)
                    {
                        spotNote = string.Format("{0} spots left", Schedule.TotalCapacityLeft);
                    }
                    if (charge.CapacityLeft == 0)
                    {
                        spotNote = "Full";
                    }
                }

                @charge.Name
                @if (!string.IsNullOrEmpty(spotNote))
                {
                    <span class="label label-danger" style="font-family:'Segoe UI', Helvetica, Arial, sans-serif; font-size: 11px; font-weight: 400; letter-spacing: .4px; position: relative; bottom: 2px;">@spotNote</span>
                }
                @if (!string.IsNullOrEmpty(charge.Description))
                {
                    <a href="#" class="help" role="button" data-toggle="popover" data-trigger="focus" data-content="@charge.Description"></a>
                }
            </span>

            @{
                bool prorateApplied = false,
                ebApplied = false;
            }

            @if (charge.IsProrate && charge.LeftSessions < charge.TotalSessions && charge.ProratePrice != charge.Amount)
            {
                prorateApplied = true;
                <div class="tuition-prices">
                    @if (charge.LeftSessions < 1)
                    {
                        <span>@CurrencyHelper.FormatCurrencyWithPenny(charge.Amount, Model.Currency)</span>
                        <p class="label label-success">No session left</p>
                    }
                    else
                    {
                        if (!Model.EnablePriceHidden)
                        {
                        <span class="discounted">@CurrencyHelper.FormatCurrencyWithPenny(charge.Amount, Model.Currency)</span>
                        <span class="applied">@CurrencyHelper.FormatCurrencyWithPenny(charge.ProratePrice, Model.Currency)</span>
                        <p class="label label-success">For @charge.LeftSessions remaining sessions @CurrencyHelper.FormatCurrencyWithPenny(charge.ProratePrice, Model.Currency)</p>
                        }
                    }
                </div>
            }
            else if (charge.HasEarlyBird && !prorateApplied && !Model.EnablePriceHidden)
            {
                foreach (var earlyBrid in charge.EarlyBirds.OrderBy(e => e.ExpireDate))
                {
                    if (Jumbula.Common.Helper.DateTimeHelper.ConvertUtcDateTimeToLocal(DateTime.UtcNow, Model.ClubTimeZone).Date <= earlyBrid.ExpireDate.Value.Date)
                    {
                        ebApplied = true;
                        <div class="tuition-prices">
                            <span class="discounted">@CurrencyHelper.FormatCurrencyWithPenny(charge.Amount, Model.Currency)</span>
                            <span class="applied">@CurrencyHelper.FormatCurrencyWithPenny(earlyBrid.Price, Model.Currency)</span>
                            @if (Model.ClubDomain.ToLower() != "latinballet")
                            {
                                <p class="label label-success">@string.Format("Early bird price expires on {0} at 11:59 PM", earlyBrid.ExpireDate.Value.ToString("MMM dd, yyyy"))</p>
                            }
                            else
                            {
                                <p class="label label-success">@string.Format("Prorate price{0}", " ")</p>
                            }
                        </div>
                        break;
                    }
                }
            }
            @if (!(ebApplied || prorateApplied) && !Model.EnablePriceHidden)
            {
                <div class="tuition-prices">
                    <span>@CurrencyHelper.FormatCurrencyWithPenny(charge.Amount, Model.Currency)</span>
                </div>
            }
            <div class="clearfix"></div>
        </div>
    }
 }
     <div class="clearfix"></div>
        </div>
<div>
    <div class="clearfix"></div>
    @foreach (var item in Model.DropInPunchcard)
    {
        <div class="program-section-title-bg full-width">
            <h2 class="program-section-title">@item.Name</h2>
        </div>
        <div class="clearfix"></div>
        <div class="tuition">
            <span class="tuition-label ellipsis" title="@item.Name">
                @item.Name
            </span>
            @if (!Model.EnablePriceHidden)
            {
            <div class="tuition-prices">
                <span>@CurrencyHelper.FormatCurrencyWithPenny(item.Amount, Model.Currency)</span>
            </div>
            }
            <div class="clearfix"></div>
        </div>
    }
    <div class="clearfix"></div>
</div>
    <div id="programDiscriptions">
        <div class="program-section-title-bg full-width">
            <h2 class="program-section-title jbi-coins">Payment period</h2>
        </div>
        <div class="clearfix"></div>
        <div class="program-section-container">
            <div class="program-desc-box">
                <p itemprop="description">
                    @if (@Model.PaymentSchedule == "BiWeekly")
                    {
                        <span>Bi-weekly</span>
                    }
                    else
                    {
                        @Model.PaymentSchedule
                    }
                </p>

            </div>
        </div>

        <div class="clearfix"></div>
    </div>

    @if (Model.ProgramScheduleParts != null && Model.ProgramScheduleParts.Any())
    {
        <div class="program-section-title-bg">
            <h2 class="program-section-title ">Upcoming payment schedules</h2>
        </div>
        <div class="section-indent table-responsive clearfix">

            <table style="width: 100%" class="table table-striped">

                <thead>
                    <tr>
                        <th>Schedule date</th>
                        <th>Payment due</th>

                    </tr>
                </thead>

                <tbody class="grid-body">
                    @foreach (var item in Model.ProgramScheduleParts)
                {
                        <tr>
                            <td>@string.Format("{0} - {1}", item.StartDate.ToString("MM/dd/yyyy"), item.EndDate.ToString("MM/dd/yyyy"))</td>
                            <td>@item.DueDate.Value.ToString("MM/dd/yyyy")</td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    }
    else {

        <div class="program-section-title-bg">
            <h2 class="program-section-title ">Upcoming payment schedules</h2>
        </div>
        <div class="section-indent table-responsive clearfix">      
        </div>
    }

    @if (Model.HasApplicationFee)
    {
        <div class="program-section-title-bg">
            <h2 class="program-section-title jbi-shopping-bag">Additional services and fees</h2>
        </div>
        <div class="section-indent">
            <div class="jbi-coins program-service">
                <span class="program-service-title ellipsis" title="Custom charge 2">
                    Application fee
                </span>
                <span class="program-service-value">
                    @CurrencyHelper.FormatCurrencyWithPenny(Model.ApplicationFeeAmount, Model.Currency)
                </span>
            </div>
        </div>
    }

    @foreach (var Schedule in Model.Schedules)
    {
        if (!string.IsNullOrEmpty(Schedule.Description))
        {
            <div id="programDiscriptions">
                <div class="program-section-title-bg full-width">
                    <h2 class="program-section-title jbi-note-paper">@Schedule.Title</h2>
                </div>
                <div class="clearfix"></div>
                <div class="program-section-container">
                    <div class="program-desc-box">
                        <p itemprop="description">
                            @Html.Raw(Schedule.Description.Replace("\n", "<br>").Replace("\r", "<br>"))
                        </p>

                    </div>
                </div>

                <div class="clearfix"></div>
            </div>
        }
    }

    @*@if (!string.IsNullOrEmpty(Model.Description))
        {
            <div id="programDiscriptions">
                <div class="program-section-title-bg full-width">
                    <h2 class="program-section-title jbi-note-paper">Description</h2>
                </div>
                <div class="clearfix"></div>
                <div class="program-section-container">
                    <div class="program-desc-box">
                        <p itemprop="description">
                            @Html.Raw(Model.Description.Replace("\n", "<br>").Replace("\r", "<br>"))
                        </p>

                    </div>

                    @if (!string.IsNullOrEmpty(Model.WeeklyEmail))
                    {
                        <p><i class="jbi-weekly-email"></i>@Model.WeeklyEmail</p>
                    }
                </div>

                <div class="clearfix"></div>
            </div>
        }
        else if (!string.IsNullOrEmpty(Model.WeeklyEmail))
        {
            <div id="programDiscriptions">
                <div class="program-section-title-bg full-width">
                    <h2 class="program-section-title jbi-note-paper">Description</h2>
                </div>
                <div class="clearfix"></div>
                <div class="program-section-container">
                    <p>
                        <i class="jbi-weekly-email"></i> @Model.WeeklyEmail
                    </p>
                </div>
                <div class="clearfix"></div>
            </div>
        }*@
    @if (!(Model.DefaultSchedule.Restrict.RestrictionType == RestrictionType.None && (!Model.DefaultSchedule.Restrict.Gender.HasValue || Model.DefaultSchedule.Restrict.Gender.HasValue && (Model.DefaultSchedule.Restrict.Gender.Value == Genders.NoRestriction))))
    {
        <div class="program-section-title-bg">
            <h2 class="program-section-title jbi-pie">Restrictions</h2>
        </div>

        <div id="restrictions" class="section-indent">
            @switch (Model.DefaultSchedule.Restrict.RestrictionType)
                {
                    case RestrictionType.Age:
                        {
                            <p class="jbi-graduation-cap">
                                @Model.AgeRestrictionMessage
                            </p>
                        break;
                    }
                case RestrictionType.Grade:
                    {
                        <p class="jbi-graduation-cap">
                            @Model.DefaultSchedule.GradeRestrictionMessage
                        </p>
                        break;
                    }
            }
            @if (Model.DefaultSchedule.Restrict.Gender.HasValue)
                {
                    if (Model.DefaultSchedule.Restrict.Gender != Genders.NoRestriction)
                    {
                    <p class="jbi-gender">This class is open to @Model.DefaultSchedule.Restrict.Gender.ToDescription().ToLower()s only.</p>
                }
            }

        </div>
    }
    @if ((!string.IsNullOrEmpty(Model.MaterialsNeeded)))
    {
        <div id="programDiscriptions">
            <div class="program-section-title-bg full-width">
                <h2 class="program-section-title jbi-note-paper">Materials needed</h2>
            </div>
            <div class="clearfix"></div>
            <div class="program-section-container">
                <div class="program-desc-box">
                    <p itemprop="description">
                        @Html.Raw(Model.MaterialsNeeded.Replace("\n", "<br>").Replace("\r", "<br>"))
                    </p>
                </div>
            </div>
            <div class="clearfix"></div>
        </div>
    }

    <div class="program-section-title-bg">
        <h2 class="program-section-title jbi-clock">Registration period</h2>
    </div>
    <div id="registrationPeriod" class="section-indent clearfix">
        <p>Registration starts on @Model.DefaultSchedule.RegistrationPeriod.RegisterStartDate.Value.ToString(Constants.DefaultDateFormat) and ends on @Model.DefaultSchedule.RegistrationPeriod.RegisterEndDate.Value.ToString(Constants.DefaultDateFormat).</p>
        <p>Participants may register at any time during this period.</p>
    </div>

@if (!Model.HideGoogleMapInClassPage)
{
    <div class="program-section-title-bg">
        <h2 class="program-section-title jbi-map-pin">Location</h2>
    </div>
    <div id="location" class="section-indent clearfix">
        <address>@StringHelper.JoinStringList(new string[] { Model.LocationName, Model.Address.Address }, ", ")@*<a data-target="#MapModal" data-toggle="modal" href="#" class="show-map" aria-hidden="True"> (show map)</a>*@</address>
        @if (!string.IsNullOrEmpty(Model.RoomAssignment))
        {
            <p>Room: @Model.RoomAssignment</p>
        }
    </div>
}



